#!/bin/sh
#
# Script to generate the build system.
#
# Copyright (C) 2013  P. J. McDermott
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

set -e

srcdir="${0%/*}"

{(
	cd "${srcdir}"
	[ -d build-aux ] || mkdir build-aux
	cat >ChangeLog <<-EOF
This file is generated upon release.  Run \`git log\` for a list of changes.
EOF
	aclocal
	autoconf
	autoheader
	automake --add-missing --copy
)}

"${srcdir}/configure" "${@}"
